You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     pku...@riseup.net
Last committer: m...@freebsd.org
Ident:          $FreeBSD: branches/2015Q4/www/lighttpd-mod_geoip/Makefile 
393656 2015-08-06 13:59:39Z mat $
Log URL:        
http://beefy4.nyi.freebsd.org/data/93amd64-quarterly/403862/logs/lighttpd-mod_geoip-1.4.38.log
Build URL:      
http://beefy4.nyi.freebsd.org/build.html?mastername=93amd64-quarterly&build=403862
Log:

====>> Building www/lighttpd-mod_geoip
build started at Thu Dec 17 19:37:37 UTC 2015
port directory: /usr/ports/www/lighttpd-mod_geoip
building for: FreeBSD 93amd64-quarterly-job-24 9.3-RELEASE-p32 FreeBSD 
9.3-RELEASE-p32 amd64
maintained by: pku...@riseup.net
Makefile ident:      $FreeBSD: branches/2015Q4/www/lighttpd-mod_geoip/Makefile 
393656 2015-08-06 13:59:39Z mat $
Poudriere version: 3.1.10
Host OSVERSION: 1100085
Jail OSVERSION: 903000

---Begin Environment---
SHELL=/bin/csh
OSVERSION=903000
UNAME_v=FreeBSD 9.3-RELEASE-p32
UNAME_r=9.3-RELEASE-p32
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
SAVED_TERM=
MASTERMNT=/usr/local/poudriere/data/.m/93amd64-quarterly/ref
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
POUDRIERE_BUILD_TYPE=bulk
PKGNAME=lighttpd-mod_geoip-1.4.38
OLDPWD=/
PWD=/usr/local/poudriere/data/.m/93amd64-quarterly/ref/.p/pool
MASTERNAME=93amd64-quarterly
SCRIPTPREFIX=/usr/local/share/poudriere
USER=root
HOME=/root
POUDRIERE_VERSION=3.1.10
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
LIBEXECPREFIX=/usr/local/libexec/poudriere
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

--CONFIGURE_ARGS--
--libdir=/usr/local/lib/lighttpd --prefix=/usr/local ${_LATE_CONFIGURE_ARGS}
--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
MAKE=gmake PKG_CONFIG=pkgconf 
XDG_DATA_HOME=/wrkdirs/usr/ports/www/lighttpd-mod_geoip/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/www/lighttpd-mod_geoip/work  
HOME=/wrkdirs/usr/ports/www/lighttpd-mod_geoip/work TMPDIR="/tmp" SHELL=/bin/sh 
CONFIG_SHELL=/bin/sh CONFIG_SITE=/usr/ports/Templates/config.site 
lt_cv_sys_max_cmd_len=262144
--End CONFIGURE_ENV--

--MAKE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/www/lighttpd-mod_geoip/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/www/lighttpd-mod_geoip/work  
HOME=/wrkdirs/usr/ports/www/lighttpd-mod_geoip/work TMPDIR="/tmp" NO_PIE=yes 
SHELL=/bin/sh NO_LINT=YES PREFIX=/usr/local  LOCALBASE=/usr/local  
LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 -pipe -fstack-protector 
-fno-strict-aliasing"  CPP="cpp" CPPFLAGS="-I/usr/local/include"  LDFLAGS=" 
-L/usr/local/lib -fstack-protector" LIBS=""  CXX="c++" CXXFLAGS="-O2 -pipe 
-fstack-protector -fno-strict-aliasing"  MANPREFIX="/usr/local" 
BSD_INSTALL_PROGRAM="install  -s -m 555"  BSD_INSTALL_LIB="install  -s -m 444"  
BSD_INSTALL_SCRIPT="install  -m 555"  BSD_INSTALL_DATA="install  -m 0644"  
BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
OSREL=9.3
PREFIX=%D
LOCALBASE=/usr/local
RESETPREFIX=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
LIB32DIR=lib
DOCSDIR="share/doc/mod_geoip"
EXAMPLESDIR="share/examples/mod_geoip"
DATADIR="share/mod_geoip"
WWWDIR="www/mod_geoip"
ETCDIR="etc/mod_geoip"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/mod_geoip
DOCSDIR=/usr/local/share/doc/mod_geoip
EXAMPLESDIR=/usr/local/share/examples/mod_geoip
WWWDIR=/usr/local/www/mod_geoip
ETCDIR=/usr/local/etc/mod_geoip
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
=======================<phase: check-sanity   >============================
===========================================================================
=======================<phase: pkg-depends    >============================
===>   lighttpd-mod_geoip-1.4.38 depends on file: /usr/local/sbin/pkg - not 
found
===>   Installing existing package /packages/All/pkg-1.6.1.txz
[93amd64-quarterly-job-24] Installing pkg-1.6.1...
[93amd64-quarterly-job-24] Extracting pkg-1.6.1: .......... done
Message from pkg-1.6.1:
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   lighttpd-mod_geoip-1.4.38 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of lighttpd-mod_geoip-1.4.38
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===> Fetching all distfiles required by lighttpd-mod_geoip-1.4.38 for building
===========================================================================
=======================<phase: checksum       >============================
===> Fetching all distfiles required by lighttpd-mod_geoip-1.4.38 for building
=> SHA256 Checksum OK for lighttpd-1.4.38.tar.xz.
=> SHA256 Checksum OK for lighttpd-1.4.26_mod_geoip.patch.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===> Fetching all distfiles required by lighttpd-mod_geoip-1.4.38 for building
===>  Extracting for lighttpd-mod_geoip-1.4.38
=> SHA256 Checksum OK for lighttpd-1.4.38.tar.xz.
=> SHA256 Checksum OK for lighttpd-1.4.26_mod_geoip.patch.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for lighttpd-mod_geoip-1.4.38
===>  Applying distribution patches for lighttpd-mod_geoip-1.4.38
===>  Applying FreeBSD patches for lighttpd-mod_geoip-1.4.38
===========================================================================
=======================<phase: build-depends  >============================
===>   lighttpd-mod_geoip-1.4.38 depends on file: /usr/local/sbin/lighttpd - 
not found
===>   Installing existing package /packages/All/lighttpd-1.4.38.txz
[93amd64-quarterly-job-24] Installing lighttpd-1.4.38...
[93amd64-quarterly-job-24] `-- Installing pcre-8.37_4...
[93amd64-quarterly-job-24] `-- Extracting pcre-8.37_4: .......... done
[93amd64-quarterly-job-24] Extracting lighttpd-1.4.38: .......... done
===>   lighttpd-mod_geoip-1.4.38 depends on file: /usr/local/sbin/lighttpd - 
found
===>   Returning to build of lighttpd-mod_geoip-1.4.38
===>   lighttpd-mod_geoip-1.4.38 depends on executable: autoconf-2.69 - not 
found
===>   Installing existing package /packages/All/autoconf-2.69.txz
[93amd64-quarterly-job-24] Installing autoconf-2.69...
[93amd64-quarterly-job-24] `-- Installing indexinfo-0.2.3...
[93amd64-quarterly-job-24] `-- Extracting indexinfo-0.2.3: .... done
[93amd64-quarterly-job-24] `-- Installing autoconf-wrapper-20131203...
[93amd64-quarterly-job-24] `-- Extracting autoconf-wrapper-20131203: ........ 
done
[93amd64-quarterly-job-24] `-- Installing perl5-5.20.3_8...
[93amd64-quarterly-job-24] `-- Extracting perl5-5.20.3_8: .......... done
[93amd64-quarterly-job-24] `-- Installing m4-1.4.17_1,1...
[93amd64-quarterly-job-24] `-- Extracting m4-1.4.17_1,1: .......... done
[93amd64-quarterly-job-24] Extracting autoconf-2.69: .......... done
Message from perl5-5.20.3_8:
The /usr/bin/perl symlink has been removed starting with Perl 5.20.
For shebangs, you should either use:

#!/usr/local/bin/perl

or

#!/usr/bin/env perl

The first one will only work if you have a /usr/local/bin/perl,
the second will work as long as perl is in PATH.
===>   lighttpd-mod_geoip-1.4.38 depends on executable: autoconf-2.69 - found
===>   Returning to build of lighttpd-mod_geoip-1.4.38
===>   lighttpd-mod_geoip-1.4.38 depends on executable: autoheader-2.69 - found
===>   lighttpd-mod_geoip-1.4.38 depends on executable: autoreconf-2.69 - found
===>   lighttpd-mod_geoip-1.4.38 depends on executable: aclocal-1.15 - not found
===>   Installing existing package /packages/All/automake-1.15.txz
[93amd64-quarterly-job-24] Installing automake-1.15...
[93amd64-quarterly-job-24] `-- Installing automake-wrapper-20131203...
[93amd64-quarterly-job-24] `-- Extracting automake-wrapper-20131203: ... done
[93amd64-quarterly-job-24] Extracting automake-1.15: .......... done
===>   lighttpd-mod_geoip-1.4.38 depends on executable: aclocal-1.15 - found
===>   Returning to build of lighttpd-mod_geoip-1.4.38
===>   lighttpd-mod_geoip-1.4.38 depends on executable: automake-1.15 - found
===>   lighttpd-mod_geoip-1.4.38 depends on executable: libtoolize - not found
===>   Installing existing package /packages/All/libtool-2.4.6.txz
[93amd64-quarterly-job-24] Installing libtool-2.4.6...
[93amd64-quarterly-job-24] Extracting libtool-2.4.6: .......... done
===>   lighttpd-mod_geoip-1.4.38 depends on executable: libtoolize - found
===>   Returning to build of lighttpd-mod_geoip-1.4.38
===>   lighttpd-mod_geoip-1.4.38 depends on executable: gmake - not found
===>   Installing existing package /packages/All/gmake-4.1_2.txz
[93amd64-quarterly-job-24] Installing gmake-4.1_2...
[93amd64-quarterly-job-24] `-- Installing libiconv-1.14_8...
[93amd64-quarterly-job-24] `-- Extracting libiconv-1.14_8: .......... done
[93amd64-quarterly-job-24] `-- Installing gettext-runtime-0.19.5.1...
[93amd64-quarterly-job-24] `-- Extracting gettext-runtime-0.19.5.1: .......... 
done
[93amd64-quarterly-job-24] Extracting gmake-4.1_2: .......... done
===>   lighttpd-mod_geoip-1.4.38 depends on executable: gmake - found
===>   Returning to build of lighttpd-mod_geoip-1.4.38
===>   lighttpd-mod_geoip-1.4.38 depends on executable: pkgconf - not found
===>   Installing existing package /packages/All/pkgconf-0.9.12.txz
[93amd64-quarterly-job-24] Installing pkgconf-0.9.12...
[93amd64-quarterly-job-24] Extracting pkgconf-0.9.12: ....... done
===>   lighttpd-mod_geoip-1.4.38 depends on executable: pkgconf - found
===>   Returning to build of lighttpd-mod_geoip-1.4.38
===========================================================================
=======================<phase: lib-depends    >============================
===>   lighttpd-mod_geoip-1.4.38 depends on shared library: libGeoIP.so - not 
found
===>   Installing existing package /packages/All/GeoIP-1.6.6.txz
[93amd64-quarterly-job-24] Installing GeoIP-1.6.6...
[93amd64-quarterly-job-24] Extracting GeoIP-1.6.6: .......... done
<snip>
checking for uuid/uuid.h... no
checking for an ANSI C-conforming const... yes
checking for inline... inline
checking whether char is unsigned... no
checking for off_t... (cached) yes
checking for pid_t... (cached) yes
checking for size_t... (cached) yes
checking for struct tm.tm_gmtoff... yes
checking for struct sockaddr_storage... yes
checking for socklen_t... (cached) yes
checking for vfork.h... (cached) no
checking for fork... (cached) yes
checking for vfork... (cached) yes
checking for working fork... yes
checking for working vfork... (cached) yes
checking return type of signal handlers... void
checking whether lstat correctly handles trailing slash... (cached) yes
checking whether stat accepts an empty string... no
checking for strftime... (cached) yes
checking for issetugid... (cached) yes
checking for inet_pton... yes
checking for libev support... checking for MySQL support... no
checking for LDAP support... 
checking for extended attributes support... 
checking for library containing socket... none required
checking for library containing gethostbyname... none required
checking for library containing hstrerror... none required
checking for library containing dlopen... none required
checking for dlfcn.h... (cached) yes
checking for valgrind... no
checking for libunwind... checking for OpenSSL... no
checking for perl regular expressions support... yes
checking for pcre-config... /usr/local/bin/pcre-config
checking for zlib support... yes
checking for deflate in -lz... (cached) yes
checking for zlib.h... (cached) yes
checking for bzip2 support... yes
checking for BZ2_bzCompress in -lbz2... yes
checking bzlib.h usability... yes
checking bzlib.h presence... yes
checking for bzlib.h... yes
checking for FAM... no
checking for properties in mod_webdav... no
checking for gdbm... no
checking for memcache... no
checking if lua-support is requested... no
checking for library containing crypt_r... no
checking for library containing crypt... -lcrypt
checking crypt.h usability... no
checking crypt.h presence... no
checking for crypt.h... no
checking for library containing sendfilev... no
checking for dup2... (cached) yes
checking for getcwd... (cached) yes
checking for inet_ntoa... (cached) yes
checking for inet_ntop... (cached) yes
checking for memset... (cached) yes
checking for mmap... (cached) yes
checking for munmap... (cached) yes
checking for strchr... yes
checking for strdup... (cached) yes
checking for strerror... (cached) yes
checking for strstr... yes
checking for strtol... (cached) yes
checking for sendfile... yes
checking for getopt... (cached) yes
checking for socket... yes
checking for lstat... (cached) yes
checking for gethostbyname... (cached) yes
checking for poll... (cached) yes
checking for epoll_ctl... no
checking for getrlimit... (cached) yes
checking for chroot... yes
checking for getuid... (cached) yes
checking for select... (cached) yes
checking for signal... yes
checking for pathconf... (cached) yes
checking for madvise... yes
checking for posix_fadvise... yes
checking for posix_madvise... yes
checking for writev... yes
checking for sigaction... (cached) yes
checking for sendfile64... no
checking for send_file... no
checking for kqueue... yes
checking for port_create... no
checking for localtime_r... yes
checking for gmtime_r... yes
checking for memset_s... no
checking for explicit_bzero... no
checking if weak symbols are supported... yes
checking for Large File System support... 
checking size of long... 8
checking size of off_t... 8
checking if sendfile works... yes
checking for IPv6 support... yes
checking for FCGI_Accept in -lfcgi... no
checking if cc supports -Wall -W -Wshadow -pedantic... yes
checking if cc supports -std=gnu99... yes
checking that generated files are newer than configure... done
configure: creating ./config.status
config.status: creating Makefile
config.status: creating src/Makefile
config.status: creating doc/config/conf.d/Makefile
config.status: creating doc/config/vhosts.d/Makefile
config.status: creating doc/config/Makefile
config.status: creating doc/scripts/Makefile
config.status: creating doc/initscripts/Makefile
config.status: creating doc/systemd/Makefile
config.status: creating doc/outdated/Makefile
config.status: creating doc/Makefile
config.status: creating tests/Makefile
config.status: creating tests/docroot/Makefile
config.status: creating tests/docroot/123/Makefile
config.status: creating tests/docroot/www/Makefile
config.status: creating tests/docroot/www/go/Makefile
config.status: creating tests/docroot/www/indexfile/Makefile
config.status: creating tests/docroot/www/expire/Makefile
config.status: creating distribute.sh
config.status: creating config.h
config.status: executing depfiles commands
config.status: executing libtool commands

Plugins:

enabled: 
  mod_access
  mod_accesslog
  mod_alias
  mod_auth
  mod_cgi
  mod_compress
  mod_dirlisting
  mod_evhost
  mod_expire
  mod_extforward
  mod_fastcgi
  mod_flv_streaming
  mod_indexfile
  mod_proxy
  mod_redirect
  mod_rewrite
  mod_rrdtool
  mod_scgi
  mod_secdownload
  mod_setenv
  mod_simple_vhost
  mod_ssi
  mod_staticfile
  mod_status
  mod_trigger_b4_dl
  mod_userdir
  mod_usertrack
  mod_webdav
disabled: 
  mod_cml
  mod_magnet
  mod_mysql_vhost

Features:

enabled: 
  auth-crypt
  compress-bzip2
  compress-deflate
  compress-gzip
  large-files
  network-ipv6
  regex-conditionals
disabled: 
  auth-ldap
  network-openssl
  stat-cache-fam
  storage-gdbm
  storage-memcache
  webdav-locks
  webdav-properties

===========================================================================
=======================<phase: build          >============================
===>  Building for lighttpd-mod_geoip-1.4.38
/bin/sh ../libtool  --tag=CC   --mode=compile cc -DHAVE_CONFIG_H 
-DHAVE_VERSION_H -DLIBRARY_DIR="\"/usr/local/lib/lighttpd\"" 
-DSBIN_DIR="\"/usr/local/sbin\"" -I. -I..   -I/usr/local/include -D_REENTRANT 
-D__EXTENSIONS__ -I/usr/local/include -D_FILE_OFFSET_BITS=64 
-D_LARGEFILE_SOURCE -D_LARGE_FILES   -O2 -pipe -fstack-protector 
-fno-strict-aliasing -Wall -W -Wshadow -pedantic -std=gnu99 -MT mod_geoip.lo 
-MD -MP -MF .deps/mod_geoip.Tpo -c -o mod_geoip.lo mod_geoip.c
libtool: compile:  cc -DHAVE_CONFIG_H -DHAVE_VERSION_H 
-DLIBRARY_DIR=\"/usr/local/lib/lighttpd\" -DSBIN_DIR=\"/usr/local/sbin\" -I. 
-I.. -I/usr/local/include -D_REENTRANT -D__EXTENSIONS__ -I/usr/local/include 
-D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGE_FILES -O2 -pipe 
-fstack-protector -fno-strict-aliasing -Wall -W -Wshadow -pedantic -std=gnu99 
-MT mod_geoip.lo -MD -MP -MF .deps/mod_geoip.Tpo -c mod_geoip.c  -fPIC -DPIC -o 
.libs/mod_geoip.o
In file included from mod_geoip.c:2:
/usr/local/include/GeoIPCity.h:44: warning: ISO C doesn't support unnamed 
structs/unions
mod_geoip.c: In function 'mod_geoip_set_defaults':
mod_geoip.c:148: error: too few arguments to function 
'config_insert_values_global'
mod_geoip.c: In function 'mod_geoip_subrequest':
mod_geoip.c:228: warning: implicit declaration of function 
'inet_ntop_cache_get_ip'
mod_geoip.c:228: warning: assignment makes pointer from integer without a cast
mod_geoip.c:351: warning: passing argument 1 of 'sprintf' from incompatible 
pointer type
mod_geoip.c:364: warning: passing argument 1 of 'sprintf' from incompatible 
pointer type
mod_geoip.c:377: warning: passing argument 1 of 'sprintf' from incompatible 
pointer type
mod_geoip.c:390: warning: passing argument 1 of 'sprintf' from incompatible 
pointer type
mod_geoip.c:224: warning: unused variable 'gi'
Makefile:1344: recipe for target 'mod_geoip.lo' failed
gmake: *** [mod_geoip.lo] Error 1
*** [do-build] Error code 1

Stop in /usr/ports/www/lighttpd-mod_geoip.
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to